(* simple REPL *)
let rec repl () : unit =
  Printf.printf "> ";
  let line = read_line () in
  if line <> "quit" then begin
    line
    |> Lex.tokenize
    |> Parser.parse
    |> Eval.eval
    |> Ast.typ_to_string
    |> Printf.printf "%s\n";
    repl ()
  end

let () = repl ()
